[Pkg-haskell-commits] r701 - in /packages/haskell-edison/trunk/debian: changelog control ghc6.in mk-haskell-depends patches/20_add-haddock-file.dpatch rules
arjan at users.alioth.debian.org
arjan at users.alioth.debian.org
Mon May 28 02:08:51 UTC 2007
Author: arjan
Date: Mon May 28 02:08:49 2007
New Revision: 701
URL: http://svn.debian.org/wsvn/pkg-haskell/?sc=1&rev=701
Log:
r1927 at nebula: arjan | 2007-05-28 04:07:19 +0200
- Add libghc6-mtl-prof and libghc6-quickcheck-prof to Build-Depends as
libghc6-mtl-dev and libghc6-quickcheck-dev have split of their
profiling libraries into seperate packages.
* debian/{ghc6.in,rules}:
- Add handling of noopt in DEB_BUILD_OPTIONS enviroment variable.
* debian/{mk-haskell-depends,rules}:
- Small cleanups.
* Generate links to other API documentation packages:
- debian/control:
+ Add libghc6-base-doc, libghc6-haskell98-doc, libghc6-mtl-doc and
libghc6-quickcheck-doc to the Build-Depends-Indep so haddock can
link to the names in other packages.
+ Add libghc6-base-doc, libghc6-haskell98-doc, libghc6-mtl-doc and
libghc6-quickcheck-doc to the Recommends of haskell-edison-doc.
- debian/patches/20_add-haddock-file.dpatch:
+ Add the appropriate --read-interface and --use-package options so
haddock will link to names in other packages.
Modified:
packages/haskell-edison/trunk/debian/changelog
packages/haskell-edison/trunk/debian/control
packages/haskell-edison/trunk/debian/ghc6.in
packages/haskell-edison/trunk/debian/mk-haskell-depends
packages/haskell-edison/trunk/debian/patches/20_add-haddock-file.dpatch
packages/haskell-edison/trunk/debian/rules
Modified: packages/haskell-edison/trunk/debian/changelog
URL: http://svn.debian.org/wsvn/pkg-haskell/packages/haskell-edison/trunk/debian/changelog?rev=701&op=diff
==============================================================================
--- packages/haskell-edison/trunk/debian/changelog (original)
+++ packages/haskell-edison/trunk/debian/changelog Mon May 28 02:08:49 2007
@@ -3,8 +3,25 @@
* debian/control:
- Update XS-Vcs-* fields as the packages has moved to the pkg-haskell
subversion archive.
+ - Add libghc6-mtl-prof and libghc6-quickcheck-prof to Build-Depends as
+ libghc6-mtl-dev and libghc6-quickcheck-dev have split of their
+ profiling libraries into seperate packages.
+ * debian/{ghc6.in,rules}:
+ - Add handling of noopt in DEB_BUILD_OPTIONS enviroment variable.
+ * debian/{mk-haskell-depends,rules}:
+ - Small cleanups.
+ * Generate links to other API documentation packages:
+ - debian/control:
+ + Add libghc6-base-doc, libghc6-haskell98-doc, libghc6-mtl-doc and
+ libghc6-quickcheck-doc to the Build-Depends-Indep so haddock can
+ link to the names in other packages.
+ + Add libghc6-base-doc, libghc6-haskell98-doc, libghc6-mtl-doc and
+ libghc6-quickcheck-doc to the Recommends of haskell-edison-doc.
+ - debian/patches/20_add-haddock-file.dpatch:
+ + Add the appropriate --read-interface and --use-package options so
+ haddock will link to names in other packages.
- -- Arjan Oosting <arjan at debian.org> Fri, 11 May 2007 08:01:20 +0200
+ -- Arjan Oosting <arjan at debian.org> Tue, 22 May 2007 21:04:41 +0200
haskell-edison (1.2.1-3) unstable; urgency=low
Modified: packages/haskell-edison/trunk/debian/control
URL: http://svn.debian.org/wsvn/pkg-haskell/packages/haskell-edison/trunk/debian/control?rev=701&op=diff
==============================================================================
--- packages/haskell-edison/trunk/debian/control (original)
+++ packages/haskell-edison/trunk/debian/control Mon May 28 02:08:49 2007
@@ -3,9 +3,11 @@
Priority: optional
Maintainer: Arjan Oosting <arjan at debian.org>
Build-Depends: dctrl-tools, debhelper (>= 5), dpatch, dpkg-dev (>= 1.13.19),
- ghc6 (>= 6.6), ghc6-prof (>= 6.6), libghc6-mtl-dev, libghc6-quickcheck-dev
+ ghc6 (>= 6.6), ghc6-prof (>= 6.6), libghc6-mtl-dev, libghc6-mtl-prof,
+ libghc6-quickcheck-dev, libghc6-quickcheck-prof
Build-Depends-Indep: cpphs, haddock, hugs (>= 98.200503.08),
- libhugs-mtl | hugs (<< 98.200609.21), libhugs-quickcheck | hugs (<< 98.200609.21)
+ libhugs-mtl | hugs (<< 98.200609.21), libhugs-quickcheck | hugs (<< 98.200609.21),
+ libghc6-base-doc, libghc6-haskell98-doc, libghc6-mtl-doc, libghc6-quickcheck-doc
Standards-Version: 3.7.2
XS-Vcs-Svn: svn://svn.debian.org/svn/pkg-haskell/packages/haskell-edison
XS-Vcs-Browser: http://svn.debian.org/wsvn/pkg-haskell/packages/haskell-edison
@@ -101,7 +103,8 @@
Package: haskell-edison-doc
Architecture: all
Section: doc
-Recommends: doc-base
+Recommends: doc-base, libghc6-base-doc, libghc6-haskell98-doc,
+ libghc6-mtl-doc, libghc6-quickcheck-doc
Description: documentation of the Edison Haskell library
Documentation of the Edison library containing efficent,
purely-functional data structures for Haskell.
Modified: packages/haskell-edison/trunk/debian/ghc6.in
URL: http://svn.debian.org/wsvn/pkg-haskell/packages/haskell-edison/trunk/debian/ghc6.in?rev=701&op=diff
==============================================================================
--- packages/haskell-edison/trunk/debian/ghc6.in (original)
+++ packages/haskell-edison/trunk/debian/ghc6.in Mon May 28 02:08:49 2007
@@ -2,4 +2,4 @@
set -ex
-ghc6 -package-conf @PACKAGE_CONF@ $@
+ghc6 -package-conf @PACKAGE_CONF@ $@ $GHC6_OPTIONS
Modified: packages/haskell-edison/trunk/debian/mk-haskell-depends
URL: http://svn.debian.org/wsvn/pkg-haskell/packages/haskell-edison/trunk/debian/mk-haskell-depends?rev=701&op=diff
==============================================================================
--- packages/haskell-edison/trunk/debian/mk-haskell-depends (original)
+++ packages/haskell-edison/trunk/debian/mk-haskell-depends Mon May 28 02:08:49 2007
@@ -63,29 +63,29 @@
}
dependency(){
- local deb
+ local package
local version
local next_upstream_version
- deb=$1
- version=`dpkg-query --showformat='${Version}' -W $deb`
+ package=$1
+ version=`dpkg-query --showformat='${Version}' -W $package`
next_upstream_version=`echo $version | sed -e 's/-[^-]*$/+/'`
- echo "$deb (>= $version), $deb (<< $next_upstream_version)"
+ echo "$package (>= $version), $package (<< $next_upstream_version)"
}
dependencies(){
- local deb
- local debs
+ local package
+ local packages
local deps
- debs=$@
- for deb in `sort_uniq $debs` ; do
- deps="$deps, `dependency $deb`"
+ packages=$@
+ for package in `sort_uniq $packages` ; do
+ deps="$deps, `dependency $package`"
done
echo $deps | sed -e 's/^,[ ]*//'
}
providing_package_for_ghc6(){
- local deb
+ local package
local dep
local dir
local dirs
@@ -95,15 +95,15 @@
lib=`ghc-pkg6 field $dep hs-libraries | sed -e 's|hs-libraries: *\([^ ]*\).*|\1|' `
for dir in $dirs ; do
if [ -e "$dir/lib$lib.a" ] ; then
- deb=`dpkg-query -S $dir/lib$lib.a | cut -d':' -f 1` || exit $?
+ package=`dpkg-query -S $dir/lib$lib.a | cut -d':' -f 1` || exit $?
continue
fi
done
- echo $deb
+ echo $package
}
providing_package_for_ghc6_prof(){
- local deb
+ local package
local dep
local dir
local dirs
@@ -113,11 +113,11 @@
lib=`ghc-pkg6 field $dep hs-libraries | sed -e 's|hs-libraries: *\([^ ]*\).*|\1|' `
for dir in $dirs ; do
if [ -e "$dir/lib$lib_p.a" ] ; then
- deb=`dpkg-query -S $dir/lib$lib.a | cut -d':' -f 1` || exit $?
+ package=`dpkg-query -S $dir/lib$lib.a | cut -d':' -f 1` || exit $?
continue
fi
done
- echo $deb
+ echo $package
}
cabal_depends(){
@@ -145,22 +145,22 @@
depends_for_ghc6(){
local dep
- local debs
+ local packages
for dep in `cabal_depends $@` ; do
- debs="$debs `providing_package_for_ghc6 $dep`"
+ packages="$packages `providing_package_for_ghc6 $dep`"
done
- dependencies $debs
+ dependencies $packages
}
depends_for_ghc6_prof(){
local dep
- local debs
+ local packages
for dep in `cabal_depends $@` ; do
- debs="$debs `providing_package_for_ghc6_prof $dep`"
+ packages="$packages `providing_package_for_ghc6_prof $dep`"
done
- dependencies $debs
+ dependencies $packages
}
find_config_for_ghc6(){
Modified: packages/haskell-edison/trunk/debian/patches/20_add-haddock-file.dpatch
URL: http://svn.debian.org/wsvn/pkg-haskell/packages/haskell-edison/trunk/debian/patches/20_add-haddock-file.dpatch?rev=701&op=diff
==============================================================================
--- packages/haskell-edison/trunk/debian/patches/20_add-haddock-file.dpatch (original)
+++ packages/haskell-edison/trunk/debian/patches/20_add-haddock-file.dpatch Mon May 28 02:08:49 2007
@@ -6,14 +6,14 @@
@DPATCH@
diff -urNad haskell-edison~/Makefile haskell-edison/Makefile
---- haskell-edison~/Makefile 2006-12-19 00:25:58.000000000 +0100
-+++ haskell-edison/Makefile 2006-12-19 07:33:58.000000000 +0100
+--- haskell-edison~/Makefile 2007-05-28 02:29:54.000000000 +0200
++++ haskell-edison/Makefile 2007-05-28 02:31:29.000000000 +0200
@@ -101,7 +101,7 @@
mkdir -p dist/doc/html
mkdir -p dist/doc/tmp
find edison-api/src edison-core/src -name '*.hs' -or -name '*.lhs' | sed 's/[^\/]*\/\(.*\)\/\(.*\)$$/mkdir -p dist\/doc\/tmp\/\1; cpphs -D__HADDOCK__ --noline -Odist\/doc\/tmp\/\1\/\2 &/ ' | sh
- find dist/doc/tmp -type f | xargs haddock -o dist/doc/html -h -t Edison-$(VERSION)
-+ find dist/doc/tmp -type f | xargs haddock -o dist/doc/html -h -t Edison-$(VERSION) -D dist/doc/html/Edison.haddock
++ find dist/doc/tmp -type f | xargs haddock -o dist/doc/html -h -t Edison-$(VERSION) --use-package=base --use-package=haskell98 --read-interface=/usr/share/doc/ghc6-doc/html/libraries/mtl/mtl.haddock --read-interface=/usr/share/doc/ghc6-doc/html/libraries/quickcheck/QuickCheck.haddock -D dist/doc/html/Edison.haddock
tarball : docs
darcs dist -d edison-$(VERSION)-source
Modified: packages/haskell-edison/trunk/debian/rules
URL: http://svn.debian.org/wsvn/pkg-haskell/packages/haskell-edison/trunk/debian/rules?rev=701&op=diff
==============================================================================
--- packages/haskell-edison/trunk/debian/rules (original)
+++ packages/haskell-edison/trunk/debian/rules Mon May 28 02:08:49 2007
@@ -30,6 +30,13 @@
GHC6_CONFIGURE_FLAGS += --enable-split-objs
endif
EDISON_DIRS := edison-api edison-core
+
+# Handle DEB_BUILD_OPTIONS containing noopt
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+GHC6_OPTIONS=-O0
+else
+GHC6_OPTIONS=
+endif
configure: configure-stamp
configure-stamp: patch-stamp
@@ -80,7 +87,7 @@
./setup configure $(GHC6_CONFIGURE_FLAGS) \
--with-compiler="$(CURDIR)/debian/ghc6" \
--with-hc-pkg="$(CURDIR)/debian/ghc-pkg6" && \
- ./setup build && \
+ GHC6_OPTIONS=$(GHC6_OPTIONS) ./setup build && \
./setup register --gen-script && \
sed -i -e "s|import-dirs:.*|import-dirs: `pwd`/dist/build|" \
-e "s|library-dirs:.*|library-dirs: `pwd`/dist/build|" \
@@ -122,7 +129,7 @@
# The hugs libraries are build in the same directories as where the ghc libraries are build,
# so if we build the hugs libraries and we need the ghc libraries afterwards those have to be rebuild.
# Thus we remove the build-arch-stamp to make sure the will be rebuild if needed.
- rm build-arch-stamp
+ rm -f build-arch-stamp
for d in $(EDISON_DIRS) ; do \
cd "$(CURDIR)/$$d" && \
./setup configure --hugs --prefix=/usr && \
@@ -147,7 +154,7 @@
dh_compress -X.haddock
dh_fixperms
dh_installdeb
- sh -e debian/mk-haskell-depends -XEdisonAPI-1.2
+ sh -e debian/mk-haskell-depends -XEdisonAPI-1.2.1
dh_shlibdeps
dh_gencontrol
dh_md5sums
More information about the Pkg-haskell-commits
mailing list